Loading...
Searching...
No Matches
owneroverlapcopy.hh File Reference
Iterative Solvers Template Library (ISTL) » Communication Interface

Classes providing communication interfaces for overlapping Schwarz methods. More...

`#include <new>`
`#include <iostream>`
`#include <vector>`
`#include <list>`
`#include <map>`
`#include <set>`
`#include <tuple>`
`#include <cmath>`
`#include <mpi.h>`
`#include <dune/common/enumset.hh>`
`#include <dune/common/parallel/indexset.hh>`
`#include <dune/common/parallel/communicator.hh>`
`#include <dune/common/parallel/remoteindices.hh>`
`#include <dune/common/parallel/mpicommunication.hh>`
`#include "solvercategory.hh"`
`#include "istlexception.hh"`
`#include <dune/common/parallel/communication.hh>`
`#include <dune/istl/matrixmarket.hh>`

Go to the source code of this file.

## Classes

struct | Dune::OwnerOverlapCopyAttributeSet
| Attribute set for overlapping Schwarz. More...
class | Dune::IndexInfoFromGrid< G, L >
| Information about the index distribution. More...
class | Dune::OwnerOverlapCopyCommunication< GlobalIdType, LocalIdType >
| A class setting up standard communication for a two-valued attribute set with owner/overlap/copy semantics. More...
struct | Dune::OwnerOverlapCopyCommunication< GlobalIdType, LocalIdType >::CopyGatherScatter< T >
| gather/scatter callback for communication More...
struct | Dune::OwnerOverlapCopyCommunication< GlobalIdType, LocalIdType >::AddGatherScatter< T >

## Namespaces

namespace | Dune

## Functions

template<int dim, template< class, class > class Comm>
void | testRedistributed (int s)

## Detailed Description

Classes providing communication interfaces for overlapping Schwarz methods.

Author
  Peter Bastian

## Function Documentation

## testRedistributed()

template<int dim, template< class, class > class Comm>

void testRedistributed | ( | int | s | ) |